Index: pacemaker/pengine/test10/bug-lf-2581.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2581.exp
+++ pacemaker/pengine/test10/bug-lf-2581.exp
@@ -33,7 +33,7 @@
     <action_set>
       <rsc_op id="29" operation="monitor" operation_key="A:1_monitor_120000" on_node="queen" on_node_uuid="queen">
         <primitive id="A" long-id="A:1" class="ocf" provider="rgk" type="typeA"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -46,7 +46,7 @@
     <action_set>
       <rsc_op id="28" operation="start" operation_key="A:1_start_0" on_node="queen" on_node_uuid="queen">
         <primitive id="A" long-id="A:1" class="ocf" provider="rgk" type="typeA"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_requires="fencing" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_requires="fencing" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -59,7 +59,7 @@
     <action_set>
       <rsc_op id="13" operation="monitor" operation_key="A:1_monitor_0" on_node="queen" on_node_uuid="queen">
         <primitive id="A" long-id="A:1" class="ocf" provider="rgk" type="typeA"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -68,7 +68,7 @@
     <action_set>
       <rsc_op id="31" operation="monitor" operation_key="Z:1_monitor_120000" on_node="queen" on_node_uuid="queen">
         <primitive id="Z" long-id="Z:1" class="ocf" provider="rgk" type="typeZ"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -81,7 +81,7 @@
     <action_set>
       <rsc_op id="30" operation="start" operation_key="Z:1_start_0" on_node="queen" on_node_uuid="queen">
         <primitive id="Z" long-id="Z:1" class="ocf" provider="rgk" type="typeZ"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_requires="fencing" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_requires="fencing" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -97,7 +97,7 @@
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="Z:1_monitor_0" on_node="queen" on_node_uuid="queen">
         <primitive id="Z" long-id="Z:1" class="ocf" provider="rgk" type="typeZ"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -136,7 +136,7 @@
     <action_set>
       <rsc_op id="15" operation="monitor" operation_key="B-1_monitor_0" on_node="queen" on_node_uuid="queen">
         <primitive id="B-1" class="ocf" provider="rgk" type="typeB"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="30000"  daemon="typeBdaemon-1"/>
+        <attributes CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000"  daemon="typeBdaemon-1"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -145,7 +145,7 @@
     <action_set>
       <rsc_op id="16" operation="monitor" operation_key="C-1_monitor_0" on_node="queen" on_node_uuid="queen">
         <primitive id="C-1" class="ocf" provider="rgk" type="typeC"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="30000"  daemon="typeCdaemon-1"/>
+        <attributes CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000"  daemon="typeCdaemon-1"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -154,7 +154,7 @@
     <action_set>
       <rsc_op id="17" operation="monitor" operation_key="B-2_monitor_0" on_node="queen" on_node_uuid="queen">
         <primitive id="B-2" class="ocf" provider="rgk" type="typeB"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="30000"  daemon="typeBdaemon-2"/>
+        <attributes CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000"  daemon="typeBdaemon-2"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -163,7 +163,7 @@
     <action_set>
       <rsc_op id="18" operation="monitor" operation_key="C-2_monitor_0" on_node="queen" on_node_uuid="queen">
         <primitive id="C-2" class="ocf" provider="rgk" type="typeC"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="30000"  daemon="typeCdaemon-2"/>
+        <attributes CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000"  daemon="typeCdaemon-2"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -172,7 +172,7 @@
     <action_set>
       <rsc_op id="59" operation="monitor" operation_key="stonith-l2network:1_monitor_300000" on_node="queen" on_node_uuid="queen">
         <primitive id="stonith-l2network" long-id="stonith-l2network:1" class="stonith" type="l2network"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="300000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_timeout="15000"  nodelist="elvis;128.162.245.170;;1 queen;128.162.245.170;;2"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="300000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_timeout="15000"  nodelist="elvis;128.162.245.170;;1 queen;128.162.245.170;;2"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -185,7 +185,7 @@
     <action_set>
       <rsc_op id="58" operation="start" operation_key="stonith-l2network:1_start_0" on_node="queen" on_node_uuid="queen">
         <primitive id="stonith-l2network" long-id="stonith-l2network:1" class="stonith" type="l2network"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_timeout="15000"  nodelist="elvis;128.162.245.170;;1 queen;128.162.245.170;;2"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_timeout="15000"  nodelist="elvis;128.162.245.170;;1 queen;128.162.245.170;;2"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -198,7 +198,7 @@
     <action_set>
       <rsc_op id="19" operation="monitor" operation_key="stonith-l2network:1_monitor_0" on_node="queen" on_node_uuid="queen">
         <primitive id="stonith-l2network" long-id="stonith-l2network:1" class="stonith" type="l2network"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="15000"  nodelist="elvis;128.162.245.170;;1 queen;128.162.245.170;;2"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="queen" CRM_meta_on_node_uuid="queen" CRM_meta_op_target_rc="7" CRM_meta_timeout="15000"  nodelist="elvis;128.162.245.170;;1 queen;128.162.245.170;;2"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-lf-2606.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2606.exp
+++ pacemaker/pengine/test10/bug-lf-2606.exp
@@ -15,7 +15,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="rsc2_monitor_10000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="7" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-lf-2613.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2613.exp
+++ pacemaker/pengine/test10/bug-lf-2613.exp
@@ -83,7 +83,7 @@
     <action_set>
       <rsc_op id="60" operation="monitor" operation_key="prmExPostgreSQLDB1_monitor_5000" on_node="sby1" on_node_uuid="sby1">
         <primitive id="prmExPostgreSQLDB1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="sby1" CRM_meta_on_node_uuid="sby1" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -96,7 +96,7 @@
     <action_set>
       <rsc_op id="59" operation="start" operation_key="prmExPostgreSQLDB1_start_0" on_node="sby1" on_node_uuid="sby1">
         <primitive id="prmExPostgreSQLDB1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="sby1" CRM_meta_on_node_uuid="sby1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -115,7 +115,7 @@
     <action_set>
       <rsc_op id="58" operation="stop" operation_key="prmExPostgreSQLDB1_stop_0" on_node="act1" on_node_uuid="act1">
         <primitive id="prmExPostgreSQLDB1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="act1" CRM_meta_on_node_uuid="act1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -131,7 +131,7 @@
     <action_set>
       <rsc_op id="63" operation="monitor" operation_key="prmFsPostgreSQLDB1-1_monitor_5000" on_node="sby1" on_node_uuid="sby1">
         <primitive id="prmFsPostgreSQLDB1-1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="sby1" CRM_meta_on_node_uuid="sby1" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -144,7 +144,7 @@
     <action_set>
       <rsc_op id="62" operation="start" operation_key="prmFsPostgreSQLDB1-1_start_0" on_node="sby1" on_node_uuid="sby1">
         <primitive id="prmFsPostgreSQLDB1-1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="sby1" CRM_meta_on_node_uuid="sby1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -163,7 +163,7 @@
     <action_set>
       <rsc_op id="61" operation="stop" operation_key="prmFsPostgreSQLDB1-1_stop_0" on_node="act1" on_node_uuid="act1">
         <primitive id="prmFsPostgreSQLDB1-1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="act1" CRM_meta_on_node_uuid="act1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -179,7 +179,7 @@
     <action_set>
       <rsc_op id="66" operation="monitor" operation_key="prmFsPostgreSQLDB1-2_monitor_5000" on_node="sby1" on_node_uuid="sby1">
         <primitive id="prmFsPostgreSQLDB1-2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="sby1" CRM_meta_on_node_uuid="sby1" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -192,7 +192,7 @@
     <action_set>
       <rsc_op id="65" operation="start" operation_key="prmFsPostgreSQLDB1-2_start_0" on_node="sby1" on_node_uuid="sby1">
         <primitive id="prmFsPostgreSQLDB1-2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="sby1" CRM_meta_on_node_uuid="sby1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -211,7 +211,7 @@
     <action_set>
       <rsc_op id="64" operation="stop" operation_key="prmFsPostgreSQLDB1-2_stop_0" on_node="act1" on_node_uuid="act1">
         <primitive id="prmFsPostgreSQLDB1-2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="act1" CRM_meta_on_node_uuid="act1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -227,7 +227,7 @@
     <action_set>
       <rsc_op id="69" operation="monitor" operation_key="prmFsPostgreSQLDB1-3_monitor_5000" on_node="sby1" on_node_uuid="sby1">
         <primitive id="prmFsPostgreSQLDB1-3" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="sby1" CRM_meta_on_node_uuid="sby1" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -240,7 +240,7 @@
     <action_set>
       <rsc_op id="68" operation="start" operation_key="prmFsPostgreSQLDB1-3_start_0" on_node="sby1" on_node_uuid="sby1">
         <primitive id="prmFsPostgreSQLDB1-3" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="sby1" CRM_meta_on_node_uuid="sby1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -259,7 +259,7 @@
     <action_set>
       <rsc_op id="67" operation="stop" operation_key="prmFsPostgreSQLDB1-3_stop_0" on_node="act1" on_node_uuid="act1">
         <primitive id="prmFsPostgreSQLDB1-3" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="act1" CRM_meta_on_node_uuid="act1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -275,7 +275,7 @@
     <action_set>
       <rsc_op id="72" operation="monitor" operation_key="prmIpPostgreSQLDB1_monitor_5000" on_node="sby1" on_node_uuid="sby1">
         <primitive id="prmIpPostgreSQLDB1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="sby1" CRM_meta_on_node_uuid="sby1" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -288,7 +288,7 @@
     <action_set>
       <rsc_op id="71" operation="start" operation_key="prmIpPostgreSQLDB1_start_0" on_node="sby1" on_node_uuid="sby1">
         <primitive id="prmIpPostgreSQLDB1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="sby1" CRM_meta_on_node_uuid="sby1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -307,7 +307,7 @@
     <action_set>
       <rsc_op id="70" operation="stop" operation_key="prmIpPostgreSQLDB1_stop_0" on_node="act1" on_node_uuid="act1">
         <primitive id="prmIpPostgreSQLDB1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="act1" CRM_meta_on_node_uuid="act1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -323,7 +323,7 @@
     <action_set>
       <rsc_op id="74" operation="monitor" operation_key="prmApPostgreSQLDB1_monitor_5000" on_node="sby1" on_node_uuid="sby1">
         <primitive id="prmApPostgreSQLDB1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="sby1" CRM_meta_on_node_uuid="sby1" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -336,7 +336,7 @@
     <action_set>
       <rsc_op id="73" operation="start" operation_key="prmApPostgreSQLDB1_start_0" on_node="sby1" on_node_uuid="sby1">
         <primitive id="prmApPostgreSQLDB1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="sby1" CRM_meta_on_node_uuid="sby1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -355,7 +355,7 @@
     <action_set>
       <rsc_op id="2" operation="stop" operation_key="prmApPostgreSQLDB1_stop_0" on_node="act1" on_node_uuid="act1">
         <primitive id="prmApPostgreSQLDB1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="act1" CRM_meta_on_node_uuid="act1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
